Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.persistence.dataobject
Class SecurityTokenDO

    java.lang.Object
      java.util.Observable
          org.wso2.wsas.persistence.dataobject.AbstractDataObject
              org.wso2.wsas.persistence.dataobject.SecurityTokenDO

    public class SecurityTokenDO

extends AbstractDataObject

Constructor Summary
`SecurityTokenDO()`
`SecurityTokenDO(java.lang.String id, org.apache.axiom.om.OMElement token, java.util.Date created, java.util.Date expires)`

Method Summary
`void` | `addProperty(SecurityTokenPropertyDO prop)`
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getAttachedReferenceStr()`
`java.util.Date` | `getCreated()`
`java.util.Date` | `getExpires()`
`java.lang.String` | `getPreviousTokenStr()`
`java.lang.String` | `getSecretStr()`
`java.util.Set` | `getSecurityTokenProperties()`
`int` | `getState()`
`java.lang.String` | `getTokenId()`
`java.lang.String` | `getTokenStr()`
`java.lang.String` | `getUnattachedReferenceStr()`
`int` | `hashCode()`
`void` | `setAttachedReferenceStr(java.lang.String attachedReferenceStr)`
`void` | `setCreated(java.util.Date created)`
`void` | `setExpires(java.util.Date expires)`
`void` | `setPreviousTokenStr(java.lang.String previousTokenStr)`
`void` | `setSecretStr(java.lang.String secretStr)`
`void` | `setSecurityTokenProperties(java.util.Set securityTokenProperties)`
`void` | `setState(int state)`
`void` | `setTokenId(java.lang.String tokenId)`
`void` | `setTokenStr(java.lang.String tokenStr)`
`void` | `setUnattachedReferenceStr(java.lang.String unattachedReferenceStr)`
`org.apache.rahas.Token` | `toToken()`
`void` | `update(org.apache.rahas.Token token)`

Methods inherited from class org.wso2.wsas.persistence.dataobject.AbstractDataObject
`getId, getLastUpdatedTime, notifyObservers, setId, setLastUpdatedTime`

Methods inherited from class java.util.Observable
`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, setChanged`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SecurityTokenDO

    public SecurityTokenDO()

### SecurityTokenDO

    public SecurityTokenDO(java.lang.String id,
                           org.apache.axiom.om.OMElement token,
                           java.util.Date created,
                           java.util.Date expires)

Method Detail

### toToken

    public org.apache.rahas.Token toToken()
                                   throws org.apache.rahas.TrustException

  Throws:
    `org.apache.rahas.TrustException`

### update

    public void update(org.apache.rahas.Token token)

### getTokenStr

    public java.lang.String getTokenStr()

### setTokenStr

    public void setTokenStr(java.lang.String tokenStr)

### getSecretStr

    public java.lang.String getSecretStr()

### setSecretStr

    public void setSecretStr(java.lang.String secretStr)

### getPreviousTokenStr

    public java.lang.String getPreviousTokenStr()

### setPreviousTokenStr

    public void setPreviousTokenStr(java.lang.String previousTokenStr)

### getAttachedReferenceStr

    public java.lang.String getAttachedReferenceStr()

### setAttachedReferenceStr

    public void setAttachedReferenceStr(java.lang.String attachedReferenceStr)

### getUnattachedReferenceStr

    public java.lang.String getUnattachedReferenceStr()

### setUnattachedReferenceStr

    public void setUnattachedReferenceStr(java.lang.String unattachedReferenceStr)

### getTokenId

    public java.lang.String getTokenId()

### setTokenId

    public void setTokenId(java.lang.String tokenId)

### getState

    public int getState()

### setState

    public void setState(int state)

### getCreated

    public java.util.Date getCreated()

### setCreated

    public void setCreated(java.util.Date created)

### getExpires

    public java.util.Date getExpires()

### setExpires

    public void setExpires(java.util.Date expires)

### getSecurityTokenProperties

    public java.util.Set getSecurityTokenProperties()

### setSecurityTokenProperties

    public void setSecurityTokenProperties(java.util.Set securityTokenProperties)

### addProperty

    public void addProperty(SecurityTokenPropertyDO prop)

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD